package com.agiledeveloper.ui;

import com.agiledeveloper.Guesser;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class GuesserFrame extends JFrame
{
    private Guesser _guesser = new Guesser();

    protected void frameInit()
    {
        super.frameInit();

        Container pane = getContentPane();
        pane.setLayout(new GridLayout(3, 1));
        final JTextField textField = new JTextField();
        textField.setText("Enter your guess here");
        pane.add(textField);

        final JLabel messageLabel = new JLabel();
        pane.add(messageLabel);

        JButton button = new JButton();
        button.setText("Guess");
        pane.add(button);

        button.addActionListener(new ActionListener()
        {
            public void actionPerformed(ActionEvent ae)
            {
                int result = _guesser.guess(Integer.parseInt(textField.getText()));

                if (result > 0)
                    messageLabel.setText("Aim lower");
                if (result < 0)
                    messageLabel.setText("Aim higher");

                if (result == 0)
                {
                    messageLabel.setText("You got it in "
                     + _guesser.getAttempts() + " attempts!");

                    _guesser = new Guesser();
                }
            }
        });
    }

    public static void main(String[] args)
    {
        JFrame frame = new GuesserFrame();
        frame.setSize(200, 100);
        frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }
}
